package com.bonus.canteen.core.supermarket.service;

import com.bonus.canteen.core.device.dto.DeviceDTO;
import com.bonus.canteen.core.device.vo.DeviceFullInfoVO;

import java.util.List;

/**
 * @author xliu
 * @date 2025/5/8 9:47
 */
public interface SupermarketDeviceService {
    int insertSupermarketDevice(DeviceDTO dto);

    int updateSupermarketDevice(DeviceDTO dto);

    List<DeviceFullInfoVO> selectSupermarketDevice(DeviceDTO dto);
}
